Documentation
¶
Index ¶
- Constants
- type GetDistrictForTerm
- type GetDistrictForTermHandler
- type GetDistrictForTermHandlerFunc
- type GetDistrictForTermNotFound
- type GetDistrictForTermOK
- type GetDistrictForTermParams
- type GetDistrictForTermURL
- func (o *GetDistrictForTermURL) Build() (*url.URL, error)
- func (o *GetDistrictForTermURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetDistrictForTermURL) Must(u *url.URL, err error) *url.URL
- func (o *GetDistrictForTermURL) SetBasePath(bp string)
- func (o *GetDistrictForTermURL) String() string
- func (o *GetDistrictForTermURL) StringFull(scheme, host string) string
- func (o *GetDistrictForTermURL) WithBasePath(bp string) *GetDistrictForTermURL
- type GetSchoolsForTerm
- type GetSchoolsForTermHandler
- type GetSchoolsForTermHandlerFunc
- type GetSchoolsForTermNotFound
- type GetSchoolsForTermOK
- type GetSchoolsForTermParams
- type GetSchoolsForTermURL
- func (o *GetSchoolsForTermURL) Build() (*url.URL, error)
- func (o *GetSchoolsForTermURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetSchoolsForTermURL) Must(u *url.URL, err error) *url.URL
- func (o *GetSchoolsForTermURL) SetBasePath(bp string)
- func (o *GetSchoolsForTermURL) String() string
- func (o *GetSchoolsForTermURL) StringFull(scheme, host string) string
- func (o *GetSchoolsForTermURL) WithBasePath(bp string) *GetSchoolsForTermURL
- type GetSectionsForTerm
- type GetSectionsForTermHandler
- type GetSectionsForTermHandlerFunc
- type GetSectionsForTermNotFound
- type GetSectionsForTermOK
- type GetSectionsForTermParams
- type GetSectionsForTermURL
- func (o *GetSectionsForTermURL) Build() (*url.URL, error)
- func (o *GetSectionsForTermURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetSectionsForTermURL) Must(u *url.URL, err error) *url.URL
- func (o *GetSectionsForTermURL) SetBasePath(bp string)
- func (o *GetSectionsForTermURL) String() string
- func (o *GetSectionsForTermURL) StringFull(scheme, host string) string
- func (o *GetSectionsForTermURL) WithBasePath(bp string) *GetSectionsForTermURL
- type GetTerm
- type GetTermHandler
- type GetTermHandlerFunc
- type GetTermNotFound
- type GetTermOK
- type GetTermParams
- type GetTermURL
- func (o *GetTermURL) Build() (*url.URL, error)
- func (o *GetTermURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetTermURL) Must(u *url.URL, err error) *url.URL
- func (o *GetTermURL) SetBasePath(bp string)
- func (o *GetTermURL) String() string
- func (o *GetTermURL) StringFull(scheme, host string) string
- func (o *GetTermURL) WithBasePath(bp string) *GetTermURL
- type GetTerms
- type GetTermsHandler
- type GetTermsHandlerFunc
- type GetTermsOK
- type GetTermsParams
- type GetTermsURL
- func (o *GetTermsURL) Build() (*url.URL, error)
- func (o *GetTermsURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetTermsURL) Must(u *url.URL, err error) *url.URL
- func (o *GetTermsURL) SetBasePath(bp string)
- func (o *GetTermsURL) String() string
- func (o *GetTermsURL) StringFull(scheme, host string) string
- func (o *GetTermsURL) WithBasePath(bp string) *GetTermsURL
Constants ¶
const GetDistrictForTermNotFoundCode int = 404
GetDistrictForTermNotFoundCode is the HTTP code returned for type GetDistrictForTermNotFound
const GetDistrictForTermOKCode int = 200
GetDistrictForTermOKCode is the HTTP code returned for type GetDistrictForTermOK
const GetSchoolsForTermNotFoundCode int = 404
GetSchoolsForTermNotFoundCode is the HTTP code returned for type GetSchoolsForTermNotFound
const GetSchoolsForTermOKCode int = 200
GetSchoolsForTermOKCode is the HTTP code returned for type GetSchoolsForTermOK
const GetSectionsForTermNotFoundCode int = 404
GetSectionsForTermNotFoundCode is the HTTP code returned for type GetSectionsForTermNotFound
const GetSectionsForTermOKCode int = 200
GetSectionsForTermOKCode is the HTTP code returned for type GetSectionsForTermOK
const GetTermNotFoundCode int = 404
GetTermNotFoundCode is the HTTP code returned for type GetTermNotFound
const GetTermOKCode int = 200
GetTermOKCode is the HTTP code returned for type GetTermOK
const GetTermsOKCode int = 200
GetTermsOKCode is the HTTP code returned for type GetTermsOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type GetDistrictForTerm ¶
type GetDistrictForTerm struct {
Context *middleware.Context
Handler GetDistrictForTermHandler
}
GetDistrictForTerm swagger:route GET /terms/{id}/district Terms getDistrictForTerm
Returns the district for a term
func NewGetDistrictForTerm ¶
func NewGetDistrictForTerm(ctx *middleware.Context, handler GetDistrictForTermHandler) *GetDistrictForTerm
NewGetDistrictForTerm creates a new http.Handler for the get district for term operation
func (*GetDistrictForTerm) ServeHTTP ¶
func (o *GetDistrictForTerm) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetDistrictForTermHandler ¶
type GetDistrictForTermHandler interface {
Handle(GetDistrictForTermParams, interface{}) middleware.Responder
}
GetDistrictForTermHandler interface for that can handle valid get district for term params
type GetDistrictForTermHandlerFunc ¶
type GetDistrictForTermHandlerFunc func(GetDistrictForTermParams, interface{}) middleware.Responder
GetDistrictForTermHandlerFunc turns a function with the right signature into a get district for term handler
func (GetDistrictForTermHandlerFunc) Handle ¶
func (fn GetDistrictForTermHandlerFunc) Handle(params GetDistrictForTermParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetDistrictForTermNotFound ¶
type GetDistrictForTermNotFound struct {
/*
In: Body
*/
Payload *models.NotFound `json:"body,omitempty"`
}
GetDistrictForTermNotFound Entity Not Found
swagger:response getDistrictForTermNotFound
func NewGetDistrictForTermNotFound ¶
func NewGetDistrictForTermNotFound() *GetDistrictForTermNotFound
NewGetDistrictForTermNotFound creates GetDistrictForTermNotFound with default headers values
func (*GetDistrictForTermNotFound) SetPayload ¶
func (o *GetDistrictForTermNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get district for term not found response
func (*GetDistrictForTermNotFound) WithPayload ¶
func (o *GetDistrictForTermNotFound) WithPayload(payload *models.NotFound) *GetDistrictForTermNotFound
WithPayload adds the payload to the get district for term not found response
func (*GetDistrictForTermNotFound) WriteResponse ¶
func (o *GetDistrictForTermNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetDistrictForTermOK ¶
type GetDistrictForTermOK struct {
/*
In: Body
*/
Payload *models.DistrictResponse `json:"body,omitempty"`
}
GetDistrictForTermOK OK Response
swagger:response getDistrictForTermOK
func NewGetDistrictForTermOK ¶
func NewGetDistrictForTermOK() *GetDistrictForTermOK
NewGetDistrictForTermOK creates GetDistrictForTermOK with default headers values
func (*GetDistrictForTermOK) SetPayload ¶
func (o *GetDistrictForTermOK) SetPayload(payload *models.DistrictResponse)
SetPayload sets the payload to the get district for term o k response
func (*GetDistrictForTermOK) WithPayload ¶
func (o *GetDistrictForTermOK) WithPayload(payload *models.DistrictResponse) *GetDistrictForTermOK
WithPayload adds the payload to the get district for term o k response
func (*GetDistrictForTermOK) WriteResponse ¶
func (o *GetDistrictForTermOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetDistrictForTermParams ¶
type GetDistrictForTermParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
Required: true
In: path
*/
ID string
}
GetDistrictForTermParams contains all the bound params for the get district for term operation typically these are obtained from a http.Request
swagger:parameters getDistrictForTerm
func NewGetDistrictForTermParams ¶
func NewGetDistrictForTermParams() GetDistrictForTermParams
NewGetDistrictForTermParams creates a new GetDistrictForTermParams object
There are no default values defined in the spec.
func (*GetDistrictForTermParams) BindRequest ¶
func (o *GetDistrictForTermParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetDistrictForTermParams() beforehand.
type GetDistrictForTermURL ¶
type GetDistrictForTermURL struct {
ID string
// contains filtered or unexported fields
}
GetDistrictForTermURL generates an URL for the get district for term operation
func (*GetDistrictForTermURL) Build ¶
func (o *GetDistrictForTermURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetDistrictForTermURL) BuildFull ¶
func (o *GetDistrictForTermURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetDistrictForTermURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetDistrictForTermURL) SetBasePath ¶
func (o *GetDistrictForTermURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetDistrictForTermURL) String ¶
func (o *GetDistrictForTermURL) String() string
String returns the string representation of the path with query string
func (*GetDistrictForTermURL) StringFull ¶
func (o *GetDistrictForTermURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetDistrictForTermURL) WithBasePath ¶
func (o *GetDistrictForTermURL) WithBasePath(bp string) *GetDistrictForTermURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetSchoolsForTerm ¶
type GetSchoolsForTerm struct {
Context *middleware.Context
Handler GetSchoolsForTermHandler
}
GetSchoolsForTerm swagger:route GET /terms/{id}/schools Terms getSchoolsForTerm
Returns the schools for a term
func NewGetSchoolsForTerm ¶
func NewGetSchoolsForTerm(ctx *middleware.Context, handler GetSchoolsForTermHandler) *GetSchoolsForTerm
NewGetSchoolsForTerm creates a new http.Handler for the get schools for term operation
func (*GetSchoolsForTerm) ServeHTTP ¶
func (o *GetSchoolsForTerm) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetSchoolsForTermHandler ¶
type GetSchoolsForTermHandler interface {
Handle(GetSchoolsForTermParams, interface{}) middleware.Responder
}
GetSchoolsForTermHandler interface for that can handle valid get schools for term params
type GetSchoolsForTermHandlerFunc ¶
type GetSchoolsForTermHandlerFunc func(GetSchoolsForTermParams, interface{}) middleware.Responder
GetSchoolsForTermHandlerFunc turns a function with the right signature into a get schools for term handler
func (GetSchoolsForTermHandlerFunc) Handle ¶
func (fn GetSchoolsForTermHandlerFunc) Handle(params GetSchoolsForTermParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetSchoolsForTermNotFound ¶
type GetSchoolsForTermNotFound struct {
/*
In: Body
*/
Payload *models.NotFound `json:"body,omitempty"`
}
GetSchoolsForTermNotFound Entity Not Found
swagger:response getSchoolsForTermNotFound
func NewGetSchoolsForTermNotFound ¶
func NewGetSchoolsForTermNotFound() *GetSchoolsForTermNotFound
NewGetSchoolsForTermNotFound creates GetSchoolsForTermNotFound with default headers values
func (*GetSchoolsForTermNotFound) SetPayload ¶
func (o *GetSchoolsForTermNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get schools for term not found response
func (*GetSchoolsForTermNotFound) WithPayload ¶
func (o *GetSchoolsForTermNotFound) WithPayload(payload *models.NotFound) *GetSchoolsForTermNotFound
WithPayload adds the payload to the get schools for term not found response
func (*GetSchoolsForTermNotFound) WriteResponse ¶
func (o *GetSchoolsForTermNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetSchoolsForTermOK ¶
type GetSchoolsForTermOK struct {
/*
In: Body
*/
Payload *models.SchoolsResponse `json:"body,omitempty"`
}
GetSchoolsForTermOK OK Response
swagger:response getSchoolsForTermOK
func NewGetSchoolsForTermOK ¶
func NewGetSchoolsForTermOK() *GetSchoolsForTermOK
NewGetSchoolsForTermOK creates GetSchoolsForTermOK with default headers values
func (*GetSchoolsForTermOK) SetPayload ¶
func (o *GetSchoolsForTermOK) SetPayload(payload *models.SchoolsResponse)
SetPayload sets the payload to the get schools for term o k response
func (*GetSchoolsForTermOK) WithPayload ¶
func (o *GetSchoolsForTermOK) WithPayload(payload *models.SchoolsResponse) *GetSchoolsForTermOK
WithPayload adds the payload to the get schools for term o k response
func (*GetSchoolsForTermOK) WriteResponse ¶
func (o *GetSchoolsForTermOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetSchoolsForTermParams ¶
type GetSchoolsForTermParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
EndingBefore *string
/*
Required: true
In: path
*/
ID string
/*
In: query
*/
Limit *int64
/*
In: query
*/
StartingAfter *string
}
GetSchoolsForTermParams contains all the bound params for the get schools for term operation typically these are obtained from a http.Request
swagger:parameters getSchoolsForTerm
func NewGetSchoolsForTermParams ¶
func NewGetSchoolsForTermParams() GetSchoolsForTermParams
NewGetSchoolsForTermParams creates a new GetSchoolsForTermParams object
There are no default values defined in the spec.
func (*GetSchoolsForTermParams) BindRequest ¶
func (o *GetSchoolsForTermParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetSchoolsForTermParams() beforehand.
type GetSchoolsForTermURL ¶
type GetSchoolsForTermURL struct {
ID string
EndingBefore *string
Limit *int64
StartingAfter *string
// contains filtered or unexported fields
}
GetSchoolsForTermURL generates an URL for the get schools for term operation
func (*GetSchoolsForTermURL) Build ¶
func (o *GetSchoolsForTermURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetSchoolsForTermURL) BuildFull ¶
func (o *GetSchoolsForTermURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetSchoolsForTermURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetSchoolsForTermURL) SetBasePath ¶
func (o *GetSchoolsForTermURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetSchoolsForTermURL) String ¶
func (o *GetSchoolsForTermURL) String() string
String returns the string representation of the path with query string
func (*GetSchoolsForTermURL) StringFull ¶
func (o *GetSchoolsForTermURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetSchoolsForTermURL) WithBasePath ¶
func (o *GetSchoolsForTermURL) WithBasePath(bp string) *GetSchoolsForTermURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetSectionsForTerm ¶
type GetSectionsForTerm struct {
Context *middleware.Context
Handler GetSectionsForTermHandler
}
GetSectionsForTerm swagger:route GET /terms/{id}/sections Terms getSectionsForTerm
Returns the sections for a term
func NewGetSectionsForTerm ¶
func NewGetSectionsForTerm(ctx *middleware.Context, handler GetSectionsForTermHandler) *GetSectionsForTerm
NewGetSectionsForTerm creates a new http.Handler for the get sections for term operation
func (*GetSectionsForTerm) ServeHTTP ¶
func (o *GetSectionsForTerm) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetSectionsForTermHandler ¶
type GetSectionsForTermHandler interface {
Handle(GetSectionsForTermParams, interface{}) middleware.Responder
}
GetSectionsForTermHandler interface for that can handle valid get sections for term params
type GetSectionsForTermHandlerFunc ¶
type GetSectionsForTermHandlerFunc func(GetSectionsForTermParams, interface{}) middleware.Responder
GetSectionsForTermHandlerFunc turns a function with the right signature into a get sections for term handler
func (GetSectionsForTermHandlerFunc) Handle ¶
func (fn GetSectionsForTermHandlerFunc) Handle(params GetSectionsForTermParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetSectionsForTermNotFound ¶
type GetSectionsForTermNotFound struct {
/*
In: Body
*/
Payload *models.NotFound `json:"body,omitempty"`
}
GetSectionsForTermNotFound Entity Not Found
swagger:response getSectionsForTermNotFound
func NewGetSectionsForTermNotFound ¶
func NewGetSectionsForTermNotFound() *GetSectionsForTermNotFound
NewGetSectionsForTermNotFound creates GetSectionsForTermNotFound with default headers values
func (*GetSectionsForTermNotFound) SetPayload ¶
func (o *GetSectionsForTermNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get sections for term not found response
func (*GetSectionsForTermNotFound) WithPayload ¶
func (o *GetSectionsForTermNotFound) WithPayload(payload *models.NotFound) *GetSectionsForTermNotFound
WithPayload adds the payload to the get sections for term not found response
func (*GetSectionsForTermNotFound) WriteResponse ¶
func (o *GetSectionsForTermNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetSectionsForTermOK ¶
type GetSectionsForTermOK struct {
/*
In: Body
*/
Payload *models.SectionsResponse `json:"body,omitempty"`
}
GetSectionsForTermOK OK Response
swagger:response getSectionsForTermOK
func NewGetSectionsForTermOK ¶
func NewGetSectionsForTermOK() *GetSectionsForTermOK
NewGetSectionsForTermOK creates GetSectionsForTermOK with default headers values
func (*GetSectionsForTermOK) SetPayload ¶
func (o *GetSectionsForTermOK) SetPayload(payload *models.SectionsResponse)
SetPayload sets the payload to the get sections for term o k response
func (*GetSectionsForTermOK) WithPayload ¶
func (o *GetSectionsForTermOK) WithPayload(payload *models.SectionsResponse) *GetSectionsForTermOK
WithPayload adds the payload to the get sections for term o k response
func (*GetSectionsForTermOK) WriteResponse ¶
func (o *GetSectionsForTermOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetSectionsForTermParams ¶
type GetSectionsForTermParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
EndingBefore *string
/*
Required: true
In: path
*/
ID string
/*
In: query
*/
Limit *int64
/*
In: query
*/
StartingAfter *string
}
GetSectionsForTermParams contains all the bound params for the get sections for term operation typically these are obtained from a http.Request
swagger:parameters getSectionsForTerm
func NewGetSectionsForTermParams ¶
func NewGetSectionsForTermParams() GetSectionsForTermParams
NewGetSectionsForTermParams creates a new GetSectionsForTermParams object
There are no default values defined in the spec.
func (*GetSectionsForTermParams) BindRequest ¶
func (o *GetSectionsForTermParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetSectionsForTermParams() beforehand.
type GetSectionsForTermURL ¶
type GetSectionsForTermURL struct {
ID string
EndingBefore *string
Limit *int64
StartingAfter *string
// contains filtered or unexported fields
}
GetSectionsForTermURL generates an URL for the get sections for term operation
func (*GetSectionsForTermURL) Build ¶
func (o *GetSectionsForTermURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetSectionsForTermURL) BuildFull ¶
func (o *GetSectionsForTermURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetSectionsForTermURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetSectionsForTermURL) SetBasePath ¶
func (o *GetSectionsForTermURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetSectionsForTermURL) String ¶
func (o *GetSectionsForTermURL) String() string
String returns the string representation of the path with query string
func (*GetSectionsForTermURL) StringFull ¶
func (o *GetSectionsForTermURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetSectionsForTermURL) WithBasePath ¶
func (o *GetSectionsForTermURL) WithBasePath(bp string) *GetSectionsForTermURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetTerm ¶
type GetTerm struct {
Context *middleware.Context
Handler GetTermHandler
}
GetTerm swagger:route GET /terms/{id} Terms getTerm
Returns a specific term
func NewGetTerm ¶
func NewGetTerm(ctx *middleware.Context, handler GetTermHandler) *GetTerm
NewGetTerm creates a new http.Handler for the get term operation
type GetTermHandler ¶
type GetTermHandler interface {
Handle(GetTermParams, interface{}) middleware.Responder
}
GetTermHandler interface for that can handle valid get term params
type GetTermHandlerFunc ¶
type GetTermHandlerFunc func(GetTermParams, interface{}) middleware.Responder
GetTermHandlerFunc turns a function with the right signature into a get term handler
func (GetTermHandlerFunc) Handle ¶
func (fn GetTermHandlerFunc) Handle(params GetTermParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetTermNotFound ¶
GetTermNotFound Entity Not Found
swagger:response getTermNotFound
func NewGetTermNotFound ¶
func NewGetTermNotFound() *GetTermNotFound
NewGetTermNotFound creates GetTermNotFound with default headers values
func (*GetTermNotFound) SetPayload ¶
func (o *GetTermNotFound) SetPayload(payload *models.NotFound)
SetPayload sets the payload to the get term not found response
func (*GetTermNotFound) WithPayload ¶
func (o *GetTermNotFound) WithPayload(payload *models.NotFound) *GetTermNotFound
WithPayload adds the payload to the get term not found response
func (*GetTermNotFound) WriteResponse ¶
func (o *GetTermNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTermOK ¶
type GetTermOK struct {
/*
In: Body
*/
Payload *models.TermResponse `json:"body,omitempty"`
}
GetTermOK OK Response
swagger:response getTermOK
func NewGetTermOK ¶
func NewGetTermOK() *GetTermOK
NewGetTermOK creates GetTermOK with default headers values
func (*GetTermOK) SetPayload ¶
func (o *GetTermOK) SetPayload(payload *models.TermResponse)
SetPayload sets the payload to the get term o k response
func (*GetTermOK) WithPayload ¶
func (o *GetTermOK) WithPayload(payload *models.TermResponse) *GetTermOK
WithPayload adds the payload to the get term o k response
func (*GetTermOK) WriteResponse ¶
func (o *GetTermOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTermParams ¶
type GetTermParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
Required: true
In: path
*/
ID string
}
GetTermParams contains all the bound params for the get term operation typically these are obtained from a http.Request
swagger:parameters getTerm
func NewGetTermParams ¶
func NewGetTermParams() GetTermParams
NewGetTermParams creates a new GetTermParams object
There are no default values defined in the spec.
func (*GetTermParams) BindRequest ¶
func (o *GetTermParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetTermParams() beforehand.
type GetTermURL ¶
type GetTermURL struct {
ID string
// contains filtered or unexported fields
}
GetTermURL generates an URL for the get term operation
func (*GetTermURL) Build ¶
func (o *GetTermURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetTermURL) BuildFull ¶
func (o *GetTermURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetTermURL) SetBasePath ¶
func (o *GetTermURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetTermURL) String ¶
func (o *GetTermURL) String() string
String returns the string representation of the path with query string
func (*GetTermURL) StringFull ¶
func (o *GetTermURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetTermURL) WithBasePath ¶
func (o *GetTermURL) WithBasePath(bp string) *GetTermURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetTerms ¶
type GetTerms struct {
Context *middleware.Context
Handler GetTermsHandler
}
GetTerms swagger:route GET /terms Terms getTerms
Returns a list of terms
func NewGetTerms ¶
func NewGetTerms(ctx *middleware.Context, handler GetTermsHandler) *GetTerms
NewGetTerms creates a new http.Handler for the get terms operation
type GetTermsHandler ¶
type GetTermsHandler interface {
Handle(GetTermsParams, interface{}) middleware.Responder
}
GetTermsHandler interface for that can handle valid get terms params
type GetTermsHandlerFunc ¶
type GetTermsHandlerFunc func(GetTermsParams, interface{}) middleware.Responder
GetTermsHandlerFunc turns a function with the right signature into a get terms handler
func (GetTermsHandlerFunc) Handle ¶
func (fn GetTermsHandlerFunc) Handle(params GetTermsParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetTermsOK ¶
type GetTermsOK struct {
/*
In: Body
*/
Payload *models.TermsResponse `json:"body,omitempty"`
}
GetTermsOK OK Response
swagger:response getTermsOK
func NewGetTermsOK ¶
func NewGetTermsOK() *GetTermsOK
NewGetTermsOK creates GetTermsOK with default headers values
func (*GetTermsOK) SetPayload ¶
func (o *GetTermsOK) SetPayload(payload *models.TermsResponse)
SetPayload sets the payload to the get terms o k response
func (*GetTermsOK) WithPayload ¶
func (o *GetTermsOK) WithPayload(payload *models.TermsResponse) *GetTermsOK
WithPayload adds the payload to the get terms o k response
func (*GetTermsOK) WriteResponse ¶
func (o *GetTermsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetTermsParams ¶
type GetTermsParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
In: query
*/
Count *string
/*
In: query
*/
EndingBefore *string
/*
In: query
*/
Limit *int64
/*
In: query
*/
StartingAfter *string
}
GetTermsParams contains all the bound params for the get terms operation typically these are obtained from a http.Request
swagger:parameters getTerms
func NewGetTermsParams ¶
func NewGetTermsParams() GetTermsParams
NewGetTermsParams creates a new GetTermsParams object
There are no default values defined in the spec.
func (*GetTermsParams) BindRequest ¶
func (o *GetTermsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetTermsParams() beforehand.
type GetTermsURL ¶
type GetTermsURL struct {
Count *string
EndingBefore *string
Limit *int64
StartingAfter *string
// contains filtered or unexported fields
}
GetTermsURL generates an URL for the get terms operation
func (*GetTermsURL) Build ¶
func (o *GetTermsURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetTermsURL) BuildFull ¶
func (o *GetTermsURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetTermsURL) SetBasePath ¶
func (o *GetTermsURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetTermsURL) String ¶
func (o *GetTermsURL) String() string
String returns the string representation of the path with query string
func (*GetTermsURL) StringFull ¶
func (o *GetTermsURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetTermsURL) WithBasePath ¶
func (o *GetTermsURL) WithBasePath(bp string) *GetTermsURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- get_district_for_term.go
- get_district_for_term_parameters.go
- get_district_for_term_responses.go
- get_district_for_term_urlbuilder.go
- get_schools_for_term.go
- get_schools_for_term_parameters.go
- get_schools_for_term_responses.go
- get_schools_for_term_urlbuilder.go
- get_sections_for_term.go
- get_sections_for_term_parameters.go
- get_sections_for_term_responses.go
- get_sections_for_term_urlbuilder.go
- get_term.go
- get_term_parameters.go
- get_term_responses.go
- get_term_urlbuilder.go
- get_terms.go
- get_terms_parameters.go
- get_terms_responses.go
- get_terms_urlbuilder.go